# Uses of Class
it.tdlight.jni.TdApi.ChatFilter

## Uses of TdApi.ChatFilter in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatFilter
Modifier and Type
Field
Description
`TdApi.ChatFilter`
TdApi.CreateChatFilter.`filter`
Chat filter.
`TdApi.ChatFilter`
TdApi.EditChatFilter.`filter`
The edited chat filter.
`TdApi.ChatFilter`
TdApi.GetChatFilterDefaultIconName.`filter`
Chat filter.
`TdApi.ChatFilter`
TdApi.RecommendedChatFilter.`filter`
The chat filter.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatFilter
Modifier
Constructor
Description
``
`CreateChatFilter(TdApi.ChatFilter filter)`
Creates new chat filter.
``
`EditChatFilter(int chatFilterId, TdApi.ChatFilter filter)`
Edits existing chat filter.
``
`GetChatFilterDefaultIconName(TdApi.ChatFilter filter)`
Returns default icon name for a filter.
``
`RecommendedChatFilter(TdApi.ChatFilter filter, String description)`
Describes a recommended chat filter.